Get user all transaction
Returns all onramp transaction for a user.
This endpoint will provide all onramp transactions for a user.
Get all onramp transaction for an user
POST https://api.onramp.money/onramp/api/v2/whiteLabel/onramp/allUserTransaction
Request Body
page*
String
Current page Number
Should be greater than 0
customerId*
String
Unique id received from /kyc/url
pageSize*
String
Number of Transactions per page. Should be greater than 0 and less than 500
{
"status": 1,
"code": 200,
"data": [
{
"transactionId": "632",
"createdAt": "2023-12-07T21:02:13.000Z",
"updatedAt": "2023-12-07T21:02:13.000Z",
"fromAmount": "1065",
"toAmount": "10.82",
"fromCurrency": "INR",
"toCurrency": "usdc",
"chain": "matic20",
"paymentMethodType": "UPI",
"depositAddress": "0xca8fa8f0b631ecdb18cda619c4fc9d197c8affcb",
"status": "2",
"transactionHash": "0x9b34a0e4897cd834847d8bbb8814eba72149f914785c406684d4f887ac",
"kycNeeded": 1
},
{
"transactionId": "631",
"createdAt": "2023-12-07T21:00:54.000Z",
"updatedAt": "2023-12-07T21:00:54.000Z",
"fromAmount": "1065",
"toAmount": "10.82",
"fromCurrency": "INR",
"toCurrency": "usdc",
"chain": "matic20",
"paymentMethodType": "IMPS",
"depositAddress": "0xca8fa8f0b631ecdb18cda619c4fc9d197c8affcb",
"status": "2",
"transactionHash": "0x9b34a0e4897cd834847d8bbb8814eba72149f914785c406684d4f887ac",
"kycNeeded": 0
},
{
"transactionId": "627",
"createdAt": "2023-12-07T16:36:14.000Z",
"updatedAt": "2023-12-07T16:36:13.000Z",
"fromAmount": "1055",
"toAmount": "10.71",
"fromCurrency": "INR",
"toCurrency": "usdc",
"chain": "matic20",
"paymentMethodType": "IMPS",
"depositAddress": "0xca8fa8f0b631ecdb18cda619c4fc9d197c8affca",
"status": "2",
"transactionHash": null,
"kycNeeded": 1
}
}status -> 0 is for unsuccessful request, 1 is for a successful one.
transactionId -> unique identifier of the transaction
createdAt -> time at which the transaction was created.
updateAt -> time at which the transaction status is last updated.
fromAmount -> Amount of fiat received by the onramp.money.
toAmount -> actual amount of crypto bought at the time of swap/trade.
fromCurrency -> fiat used for the transaction.
toCurrency -> symbol of the coin e.g. USDT).
chain -> denotes which chain the coin was sent on (e.g. MATIC20) .
paymentMethodType -> payment method in fiat.
depositAddress -> Onchain wallet address to which the crypto was withdrawn to.
status -> current status of Onramp transaction
-4 -> wrong amount sent
-3 -> bank and kyc name mismatch
-2 -> transaction abandoned
-1 -> transaction timed out
0 -> transaction created
1 -> referenceId claimed
2 -> deposit secured
3 or 13 -> crypto purchased
4 or 15 -> withdrawal complete
5 or 16 -> webhook sent
11 -> order placement initiated
12 -> purchasing crypto
14 -> withdrawal initiated
transactionHash -> transaction hash related to order.
rate -> rate at which the order was executed, displayed only for successful transactions.
kycNeeded -> Request for Information.
Last updated